local FantasyDeco = foundation.createMod()

-----------------------------------------------------------------
--   _____      _     _       __  __        __  __ __          --
--  | ___ \    (_)   (_)     |  \/  |      / _|/ _/  |         --
--  | |_/ /__ _ _ ___ _ _ __ | .  . |_   _| |_| |_`| | _ __    --
--  |    // _` | / __| | '_ \| |\/| | | | |  _|  _|| || '_ \   --
--  | |\ \ (_| | \__ \ | | | | |  | | |_| | | | | _| || | | |  --
--  \_| \_\__,_|_|___/_|_| |_\_|  |_/\__,_|_| |_| \___/_| |_|  --
-----------------------------------------------------------------

FantasyDeco:dofile("scripts/components.lua")
FantasyDeco:dofile("scripts/decorations.lua")
FantasyDeco:dofile("scripts/materials.lua")
FantasyDeco:dofile("scripts/monument.lua")
FantasyDeco:dofile("scripts/particles.lua")
FantasyDeco:dofile("scripts/quotes.lua")
FantasyDeco:dofile("scripts/walls.lua")

----------------------------------------
--| Register New Category Enum Value |--
----------------------------------------
FantasyDeco:registerEnumValue ("BUILDING_PART_TYPE", "DECO")

---------------------------------
--| Register Asset Processers |--
---------------------------------
FantasyDeco:registerAssetProcessor("models/core.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/animals.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/barrels.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/bench.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/brazier.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/bush.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/cages.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/campfire.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/cart.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/cat.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/cauldron.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/chest.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/cloth.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/coffin.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/crates.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/dog.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/doors.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/dragon.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/fences.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/fishing.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/flowers.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/furniture.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/gravestones.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/guillotine.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/haybales.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/lantern.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/laundry.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/logs.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/planks.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/pumpkin.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/sacks.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/scaling.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/siege.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/skulls.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/strangeplant.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/sword_stone.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/target.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/tools.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/trough.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/tub.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/weapons.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/wheel.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
FantasyDeco:registerAssetProcessor("models/windows.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})