local FantasyDeco = ...

--------------------------------
--| Register Material Assets |--
--------------------------------
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/foliage", "FOLIAGE_MATERIAL")
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/butterfly", "BUTTERFLY_MATERIAL")
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/leaves", "TREE_LEAVES")
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/leaves2", "TREE_LEAVES2")
FantasyDeco:registerAssetId("models/grass_clearing.fbx/Materials/blank", "BLANK_MATERIAL")
FantasyDeco:registerAssetId("models/splendor.fbx/Materials/blank", "BLANK_SPLENDOR_MATERIAL")
FantasyDeco:registerAssetId("models/core.fbx/Materials/blank1", "BLANK_CORE_MATERIAL")
FantasyDeco:registerAssetId("models/lantern.fbx/Materials/blank", "BLANK_BOX_MATERIAL")
FantasyDeco:registerAssetId("models/bush.fbx/Materials/bush", "BUSH_LEAVES")
FantasyDeco:registerAssetId("models/weapons.fbx/Materials/scroll", "SCROLL_MATERIAL")
FantasyDeco:registerAssetId("models/tub.fbx/Materials/water", "WATER_TUB_MATERIAL")
FantasyDeco:registerAssetId("models/trough.fbx/Materials/water", "WATER_TROUGH_MATERIAL")
FantasyDeco:registerAssetId("models/barrels.fbx/Materials/water", "WATER_BARREL_MATERIAL")
FantasyDeco:registerAssetId("models/campfire.fbx/Materials/water", "WATER_POT_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-black", "CLOTH_BLACK_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-blue", "CLOTH_BLUE_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-brown", "CLOTH_BROWN_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-green", "CLOTH_GREEN_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-grey", "CLOTH_GREY_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-purple", "CLOTH_PURPLE_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-red", "CLOTH_RED_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-white", "CLOTH_WHITE_CART_MATERIAL")
FantasyDeco:registerAssetId("models/cart.fbx/Materials/cloth-yellow", "CLOTH_YELLOW_CART_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-black", "CLOTH_BLACK_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-blue", "CLOTH_BLUE_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-brown", "CLOTH_BROWN_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-green", "CLOTH_GREEN_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-grey", "CLOTH_GREY_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-purple", "CLOTH_PURPLE_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-red", "CLOTH_RED_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-white", "CLOTH_WHITE_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/logs.fbx/Materials/cloth-yellow", "CLOTH_YELLOW_LOGS_MATERIAL")
FantasyDeco:registerAssetId("models/fire.png", "FIRE_TEXTURE")
FantasyDeco:registerAssetId("models/fire-green.png", "FIRE_GREEN_TEXTURE")
FantasyDeco:registerAssetId("models/smoke.png", "SMOKE_TEXTURE")
FantasyDeco:registerAssetId("models/spark.png", "SPARK_TEXTURE")
FantasyDeco:registerAssetId("models/candle.png", "CANDLE_TEXTURE")

--------------------------
--| Register Materials |--
--------------------------
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "FIRE_MATERIAL",
	AlbedoTexture = "FIRE_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "FIRE_GREEN_MATERIAL",
	AlbedoTexture = "FIRE_GREEN_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "SMOKE_MATERIAL",
	AlbedoTexture = "SMOKE_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "SPARK_MATERIAL",
	AlbedoTexture = "SPARK_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "CANDLE_MATERIAL",
	AlbedoTexture = "CANDLE_TEXTURE"
})

--------------------------
--| Material Overrides |--
--------------------------
FantasyDeco:override({
    Id = "FOLIAGE_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "BUTTERFLY_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "TREE_LEAVES",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "TREE_LEAVES2",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "BLANK_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BLANK_SPLENDOR_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BLANK_BOX_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BLANK_CORE_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BUSH_LEAVES",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "SCROLL_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "WATER_TUB_MATERIAL",
	HasTransparency = true,
    IsLighted = false
})
FantasyDeco:override({
    Id = "WATER_TROUGH_MATERIAL",
	HasTransparency = true,
    IsLighted = false
})
FantasyDeco:override({
    Id = "WATER_BARREL_MATERIAL",
	HasTransparency = true,
    IsLighted = false
})
FantasyDeco:override({
    Id = "WATER_POT_MATERIAL",
	HasTransparency = true,
    IsLighted = false
})