local FantasyDeco = ...

---------------------------
--| Register Core Asset |--
---------------------------
FantasyDeco:registerAssetId("models/core.fbx/Prefab/Fantasy_Deco_Core", "PREFAB_FANTASY_DECO_CORE")

FantasyDeco:register({
	DataType = "BUILDING_PART",
	Id = "FANTASY_DECO_CORE",
	Name = "FANTASYDECO_NAME",
	Description = "FANTASYDECO_DESC",
	IsVisibleWhenBuilt = false,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FANTASY_DECO_CORE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 1,
			Value = 0
		}
	}
})

-------------------------
--| Register Monument |--
-------------------------
FantasyDeco:register({
	DataType = "BUILDING",
	Id = "FANTASY_DECORATIONS",
	Name = "FANTASYDECO_NAME",
	Description = "FANTASYDECO_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "FANTASY_DECO_CORE",
	IsEditable = true,
	BuildingPartSetList = {
		{
			Name = "LIST_MISC_NAME",
	        BuildingPartList = {
				"DRAGON_PART",
				"CANDELABRA_PART",
				"WHEEL_PART",
				"CAULDRON_PART",
				"COOKING_POT_PART",
				"FISHING_NET_PART",
				"HANGING_ROPE_PART",
				"SKULLS1_PART",
				"SKULLS2_PART",
				"SWORD_STONE_PART",
				"WHEELBARROW_PART",
				"COFFIN_WOOD_PART"
			}
		},
		{
			Name = "LIST_VEHICLE_NAME",
			BuildingPartList = {
				"CRANE_PART",
				"CART_PART",
				"BARGE_PART",
				"CRANE_SMALL_PART",
				"CART_CANOPY_PART",
				"BARGE_CANOPY_PART",
				"BARRELS_PART",
				"BARREL_LARGE_PART",
				"CRATES_PART",
				"GRAIN_PART",
				"SPOOLS_PART",
				"HAY_PART",
				"LOGS_PART",
				"PLANKS_PART",
				"COAL_PART",
				"BRICKS_PART",
				"STONES_PART",
				"MIX1_PART",
				"MIX2_PART",
				"MIX3_PART",
				"MIX4_PART",
				"MIX5_PART",
				"MIX6_PART"
			}
		},
		{
			Name = "LIST_SIEGE_NAME",
			BuildingPartList = {
				"BALLISTA_PART",
				"CATAPULT_PART",
				"TREBUCHET_PART"
			}
		},
		{
			Name = "LIST_PUNISHMENT_NAME",
			BuildingPartList = {
				"GUILLOTINE_PART",
				"PILLORY_PART",
				"STAKE_PART",
				"CART_CAGE_PART",
				"HANGING_CAGES_PART",
				"HANGING_CAGE_PART"
			}
		},
		{
			Name = "LIST_WEAPONS_NAME",
			BuildingPartList = {
				"WEAPONS_RACK1_PART",
				"WEAPONS_RACK2_PART",
				"WEAPONS_RACK3_PART",
				"WEAPONS_RACK4_PART",
				"WEAPONS_RACK5_PART",
				"WEAPONS_RACK_BOLTS_PART",
				"POLISHED_STONE1_PART",
				"POLISHED_STONE2_PART",
				"WEAPONS_BARREL1_PART",
				"TARGET_PART",
				"TARGET_AXE_PART",
				"TARGET_DAGGER_PART"
			}
		},
		{
			Name = "LIST_TOOLS_NAME",
			BuildingPartList = {
				"TOOLS_RACK_PART",
				"TOOLS_RACK_FARM_PART",
				"TOOLS_RACK_AXES_PART",
				"TOOLS_RACK_PICKS_PART",
				"TOOLS_BARREL_PART",
				"TOOLS_BARREL_FARM_PART"
			}
		},
		{
			Name = "LIST_LANTERNS_NAME",
			BuildingPartList = {
				"LANTERN1_PART",
				"LANTERN2_PART",
				"LANTERN8_PART",
				"LANTERN3_PART",
				"LANTERN7_PART",
				"LANTERN4_PART",
				"LANTERN5_PART",
				"LANTERN6_PART",
				"LANTERN9_PART",
				"POST1_PART",
				"POST8_PART",
				"POST9_PART",
				"POST2_PART",
				"POST4_PART",
				"POST3_PART",
				"POST5_PART",
				"POST6_PART",
				"POST7_PART"
			}
		},
		{
			Name = "LIST_BRAZIERS_NAME",
			BuildingPartList = {
				"BRAZIER1_PART",
				"BRAZIER2_PART",
				"BRAZIER3_PART",
				"BRAZIER4_PART",
				"BRAZIER5_PART",
				"BRAZIER6_PART",
				"TORCH_PART",
				"CAMPFIRE_ON_FIRE_PART",
				"CAMPFIRE_PART"
			}
		},
		{
			Name = "LIST_POT_NAME",
	        BuildingPartList = {
				"PLANTER_WOOD_PART",
				"POT_WOOD1_PART",
				"POT_WOOD2_PART",
				"PLANTER_STONE_PART",
				"PLANTER_STONE_LARGE_PART",
				"PLANTER_STONE_LARGE2_PART",
				"POT_STONE1_PART",
				"POT_STONE2_PART",
				"POT_STONE3_PART",
				"POT_CLAY1_PART",
				"POT_CLAY2_PART",
				"POT_MARBLE1_PART"
			}
		},
		{
			Name = "LIST_PLANT_NAME",
	        BuildingPartList = {
				"BUSH_PART",
				"BUSH_BLUE_PART",
				"BUSH_PURPLE_PART",
				"BUSH_RED_PART",
				"BUSH_YELLOW_PART",
				"STRANGEPLANT_PART",
				"FLOWER_GREEN_PART",
				"FLOWER_GREEN2_PART",
				"FLOWER_STRANGE_PART",
				"FLOWER_WHITE_PART",
				"FLOWER_WHITE2_PART",
				"FLOWER_WHITE3_PART",
				"FLOWER_RED_PART",
				"FLOWER_PINK_PART",
				"FLOWER_PINK2_PART",
				"FLOWER_ORANGE_PART",
				"FLOWER_YELLOW_PART",
				"FLOWER_LIGHT_YELLOW_PART",
				"FLOWER_BLUE_PART",
				"FLOWER_TEAL_PART",
				"FLOWER_LIGHT_BLUE_PART",
				"FLOWER_PURPLE_PART",
				"FLOWER_PURPLE2_PART",
				"FLOWER_LIGHT_PURPLE_PART"
			}
		},
		{
			Name = "LIST_CONTAINERS_NAME",
			BuildingPartList = {
				"BUCKET_WATER_PART",
				"TUB_PART",
				"TROUGH_PART",
				"BUCKET_MILK_PART",
				"TUB_MILK_PART",
				"TROUGH_HAY_PART",
				"BASKET_BERRIES_PART",
				"BASKET_GRAPES_PART",
				"BASKET_HOPS_PART"
			}
		},
		{
			Name = "LIST_LINEN_NAME",
			BuildingPartList = {
				"CLOTH_LINE1_PART",
				"CLOTH_LINE2_PART",
				"CLOTH_LINE3_PART"
			}
		},
		{
			Name = "LIST_ANIMAL_NAME",
			BuildingPartList = {
				"CAT_PART",
				"DOG_PART",
				"RABBIT_PART",
				"GOOSE1_PART",
				"CHICKEN1_PART",
				"CHICKEN2_PART"
			}
		},
		{
			Name = "LIST_VEGETABLE_NAME",
	        BuildingPartList = {
				"PUMPKIN_PART",
				"PUMPKIN2_PART",
				"PUMPKIN3_PART",
				"PUMPKIN_CARVED_PART",
				"PUMPKIN_CARVED2_PART",
				"PUMPKIN_CARVED3_PART"
			}
		},
		{
			Name = "LIST_FURNITURE_NAME",
			BuildingPartList = {
				"BENCH_STONE1_PART",
				"BENCH_STONE2_PART",
				"BENCH_WOOD1_PART",
				"TABLE_WOOD1_PART",
				"TABLE_WOOD2_PART",
				"STOOL_WOOD1_PART",
				"CHAIR_WOOD1_PART",
				"CHAIR_WOOD2_PART",
				"STOOL_WOOD2_PART"
			}
		},
		{
			Name = "LIST_BARREL_NAME",
			BuildingPartList = {
				"BARREL1_PART",
				"BARREL2_PART",
				"BARREL3_PART",
				"BARREL_SMALL1_PART",
				"BARREL_EMPTY_PART",
				"BARREL_BEER_PART",
				"BARREL_BERRIES_PART",
				"BARREL_GRAPES_PART",
				"BARREL_HOPS_PART",
				"BARREL_FISH_PART",
				"BARREL_HONEY_PART",
				"BARREL_WATER_PART"
			}
		},
		{
			Name = "LIST_CLOTH_NAME",
			BuildingPartList = {
				"CLOTH_SPOOL_RED1_PART",
				"CLOTH_SPOOL_GREEN1_PART",
				"CLOTH_SPOOL_PURPLE1_PART",
				"CLOTH_SPOOL_RED2_PART",
				"CLOTH_SPOOL_GREEN2_PART",
				"CLOTH_SPOOL_PURPLE2_PART"
			}
		},
		{
			Name = "LIST_CRATE_NAME",
			BuildingPartList = {
				"CRATE1_PART",
				"CRATE2_PART",
				"CRATE3_PART",
				"CRATE4_PART",
				"CRATE5_PART",
				"CRATE6_PART",
				"CRATE_COAL_PART",
				"CRATE_IRON_PART",
				"CRATE_ROPE_PART",
				"CRATE_FLAT1_PART",
				"CRATE_FLAT2_PART",
				"CRATE_FLAT_IRON_PART",
				"CHEST_PART",
				"CHEST_OPEN_PART",
				"CRATE_FLAT_GOLD_PART"
			}
		},
		{
			Name = "LIST_GRAIN_NAME",
			BuildingPartList = {
				"SACK_GRAIN_PART",
				"SACK_CLOSED_PART",
				"SACK_SQUARE_PART",
				"SACK_GRAIN_SIDE_PART",
				"SACK_CLOSED_SIDE_PART",
				"SACK_SQUARE2_PART"
			}
		},
		{
			Name = "LIST_HAYBALE_NAME",
			BuildingPartList = {
				"HAYBALE1_PART",
				"HAYBALE2_PART",
				"HAYBALE3_PART",
				"HAYBALE4_PART",
				"HAYBALE5_PART",
				"HAYBALE6_PART"
			}
		},
		{
			Name = "LIST_PLANKS_NAME",
			BuildingPartList = {
				"PLANKS1_PART",
				"PLANKS2_PART",
				"PLANKS3_PART",
				"PLANKS4_PART",
				"PLANKS5_PART",
				"PLANKS6_PART"
			}
		},
		{
			Name = "LIST_LOG_NAME",
			BuildingPartList = {
				"LARGEWOOD1_PART",
				"LARGEWOOD2_PART",
				"LARGEWOOD3_PART",
				"SMALLWOOD1_PART",
				"SMALLWOOD2_PART",
				"SMALLWOOD3_PART",
				"SMALLWOOD4_PART",
				"FIREWOOD1_PART",
				"FIREWOOD2_PART",
				"STUMP_PART",
				"CHOPPEDWOOD1_PART",
				"CHOPPEDWOOD2_PART"
			}
		},
		{
			Name = "LIST_GRAVESTONE_NAME",
			BuildingPartList = {
				"GRAVESTONE1_PART",
				"GRAVESTONE10_PART",
				"GRAVESTONE4_PART",
				"GRAVESTONE3_PART",
				"GRAVESTONE5_PART",
				"GRAVESTONE2_PART",
				"GRAVESTONE9_PART",
				"GRAVESTONE11_PART",
				"GRAVESTONE6_PART",
				"GRAVESTONE7_PART",
				"GRAVESTONE8_PART",
				"GRAVESTONE12_PART",
				"COFFIN_STONE_PART"
			}
		},
		{
			Name = "LIST_DOORS_NAME",
			BuildingPartList = {
				"WOODEN_DOOR1_PART",
				"WOODEN_DOOR2_PART",
				"WOODEN_DOOR3_PART",
				"WOODEN_DOOR5_PART",
				"WOODEN_DOOR6_PART",
				"WOODEN_DOOR7_PART",
				"WOODEN_DOOR4_PART",
				"WOODENGATE_OPEN_PART",
				"WOODENGATE_LOCKED_PART"
			}
		},
		{
			Name = "LIST_WINDOWS_NAME",
			BuildingPartList = {
				"WINDOW1_PART",
				"WINDOW2_PART",
				"WINDOW3_PART",
				"WINDOW4_PART",
				"WINDOW5_PART"
			}
		},
		{
			Name = "LIST_FENCE_NAME",
			BuildingPartList = {
				"FENCE1_PART",
				"FENCE2_PART",
				"FENCE3_PART",
				"FENCE4_PART",
				"FENCE5_PART",
				"FENCE6_PART"
			}
		},
		{
			Name = "LIST_GRASS_CLEARING_NAME",
			BuildingPartList = {
				"GRASS_CLEARING_SMALL",
				"GRASS_CLEARING",
				"GRASS_CLEARING_LARGE"
			}
		},
		{
			Name = "LIST_SPLENDOR_NAME",
			BuildingPartList = {
				"SPLENDOR_CLERGY",
				"SPLENDOR_KINGDOM",
				"SPLENDOR_LABOUR"
			}
		}
    },
	MaterialSetList = { 
		{
            SetName = "SET_RED_NAME",
            MaterialList = {
                "CLOTH_RED_CART_MATERIAL",
				"CLOTH_RED_LOGS_MATERIAL"
            }
        },
		{
            SetName = "SET_BLUE_NAME",
            MaterialList = {
                "CLOTH_BLUE_CART_MATERIAL",
				"CLOTH_BLUE_LOGS_MATERIAL"
            }
        },
		{
            SetName = "SET_GREEN_NAME",
            MaterialList = {
                "CLOTH_GREEN_CART_MATERIAL",
                "CLOTH_GREEN_LOGS_MATERIAL"
            }
        },
		{
            SetName = "SET_YELLOW_NAME",
            MaterialList = {
                "CLOTH_YELLOW_CART_MATERIAL",
                "CLOTH_YELLOW_LOGS_MATERIAL"
            }
    	},
		{
            SetName = "SET_PURPLE_NAME",
            MaterialList = {
                "CLOTH_PURPLE_CART_MATERIAL",
                "CLOTH_PURPLE_LOGS_MATERIAL"
            }
    	},
		{
            SetName = "SET_BROWN_NAME",
            MaterialList = {
                "CLOTH_BROWN_CART_MATERIAL",
                "CLOTH_BROWN_LOGS_MATERIAL"
            }
    	},
		{
            SetName = "SET_BLACK_NAME",
            MaterialList = {
                "CLOTH_BLACK_CART_MATERIAL",
                "CLOTH_BLACK_LOGS_MATERIAL"
            }
    	},
		{
            SetName = "SET_GREY_NAME",
            MaterialList = {
                "CLOTH_GREY_CART_MATERIAL",
                "CLOTH_GREY_LOGS_MATERIAL"
            }
    	},
		{
            SetName = "SET_WHITE_NAME",
            MaterialList = {
                "CLOTH_WHITE_CART_MATERIAL",
                "CLOTH_WHITE_LOGS_MATERIAL"
            }
    	}
    }
})