local FantasyDeco = ...

---------------------------------
--| Register Particle Systems |--
---------------------------------
FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "FIRE_PARTICLE_SYSTEM",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 1.5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 1.8,
	StartSpeed = { 0.5, 0.5 },
	StartSize = { 3.7, 3.7 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = -0.001,
	RateOverTime = 15,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.1, 0, 0.1 },
		ValueB = { -0.1, 0, -0.1 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 10 },
			{ T = 0.2, Alpha = 90 },
			{ T = 0.3, Alpha = 0 },
			{ T = 0.4, Alpha = 0 },
			{ T = 0.5, Alpha = 90 },
			{ T = 0.6, Alpha = 0 },
			{ T = 0.7, Alpha = 40 },
			{ T = 0.8, Alpha = 20 },
			{ T = 0.9, Alpha = 10 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0, Value = 0.1 },
			{ T = 0.5, Value = 0.2 },
			{ T = 1, Value = 0.3 }
	},
	RotationOverLifetime = { -70, 70 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "FIRE2_PARTICLE_SYSTEM",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 1.5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 1.7,
	StartSpeed = { 0.4, 0.4 },
	StartSize = { 2, 2 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = -0.001,
	RateOverTime = 15,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.1, 0, 0.1 },
		ValueB = { -0.1, 0, -0.1 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 40 },
			{ T = 0.2, Alpha = 90 },
			{ T = 0.3, Alpha = 0 },
			{ T = 0.4, Alpha = 0 },
			{ T = 0.5, Alpha = 90 },
			{ T = 0.6, Alpha = 0 },
			{ T = 0.7, Alpha = 0 },
			{ T = 0.8, Alpha = 90 },
			{ T = 0.9, Alpha = 40 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0.1, Value = 0.2 },
			{ T = 0.5, Value = 0.3 },
			{ T = 1, Value = 0.4 }
	},
	RotationOverLifetime = { -70, 70 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "FIRE3_PARTICLE_SYSTEM",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 1.5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 1.8,
	StartSpeed = { 0.3, 0.3 },
	StartSize = { 2.2, 2.2 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = -0.001,
	RateOverTime = 15,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.1, 0.1, 0.1 },
		ValueB = { -0.1, 0.1, -0.1 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 20 },
			{ T = 0.2, Alpha = 40 },
			{ T = 0.3, Alpha = 90 },
			{ T = 0.4, Alpha = 0 },
			{ T = 0.5, Alpha = 90 },
			{ T = 0.6, Alpha = 0 },
			{ T = 0.7, Alpha = 90 },
			{ T = 0.8, Alpha = 0 },
			{ T = 0.9, Alpha = 30 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0.1, Value = 0.2 },
			{ T = 0.2, Value = 0.22 },
			{ T = 0.4, Value = 0.18 },
			{ T = 0.6, Value = 0.16 },
			{ T = 0.8, Value = 0.12 },
			{ T = 1, Value = 0.1 }
	},
	RotationOverLifetime = { -100, 100 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "FIRE_GREEN_PARTICLE_SYSTEM",
	Material = "FIRE_GREEN_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 1.5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 4,
	StartSpeed = { 0.2, 0.2 },
	StartSize = { 2.5, 2.5 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 2,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.1, 0, 0.1 },
		ValueB = { -0.1, 0, -0.1 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 75 },
			{ T = 0.3, Alpha = 100 },
			{ T = 0.5, Alpha = 75 },
			{ T = 0.7, Alpha = 25 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0, Value = 0.2 },
			{ T = 0.6, Value = 0.3 },
			{ T = 1.2, Value = 0.4 }
	},
	RotationOverLifetime = { -30, 30 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "BRAZIER_PARTICLE_SYSTEM",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 1,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 1,
	StartSpeed = { 0.3, 0.3 },
	StartSize = { 1.1, 1.1 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 5,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0, 0, 0 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 1 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 75 },
			{ T = 0.3, Alpha = 100 },
			{ T = 0.5, Alpha = 75 },
			{ T = 0.7, Alpha = 25 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0, Value = 0.1 },
			{ T = 0.3, Value = 0.25 },
			{ T = 1.5, Value = 0.4 }
	},
	RotationOverLifetime = { -50, 50 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "SMOKE_PARTICLE_SYSTEM",
	Material = "SMOKE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 4,
	StartSpeed = { 0.3, 0.3 },
	StartSize = { 2.5, 2.5 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 2,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.05, 0, 0.05 },
		ValueB = { -0.05, 0, -0.05 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 0 },
			{ T = 0.2, Alpha = 20 },
			{ T = 0.4, Alpha = 30 },
			{ T = 0.6, Alpha = 40 },
			{ T = 0.7, Alpha = 80 },
			{ T = 0.8, Alpha = 30 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0.1, Value = 0.2 },
			{ T = 0.5, Value = 0.3 },
			{ T = 1, Value = 0.5 }
	},
	RotationOverLifetime = { -25, 25 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "SMOKE2_PARTICLE_SYSTEM",
	Material = "SMOKE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 3.5,
	StartSpeed = { 0.3, 0.3 },
	StartSize = { 2.5, 2.5 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 3,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.05, 0, 0.05 },
		ValueB = { -0.05, 0, -0.05 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 0 },
			{ T = 0.2, Alpha = 20 },
			{ T = 0.4, Alpha = 30 },
			{ T = 0.6, Alpha = 40 },
			{ T = 0.7, Alpha = 70 },
			{ T = 0.8, Alpha = 30 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0.1, Value = 0.3 },
			{ T = 0.5, Value = 0.25 },
			{ T = 1, Value = 0.2 }
	},
	RotationOverLifetime = { -25, 25 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "CANDLE_PARTICLE_SYSTEM",
	Material = "CANDLE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 1,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 0.5,
	StartSpeed = { 0.01, 0.01 },
	StartSize = { 0.4, 0.4 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 10,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 3,
		Radius = 0.01
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT",
		Value = { 0, 0, 0 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.6, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.6, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 1 } }
		},
		AlphaList = {
			{ T = 0, Alpha = 0 },
			{ T = 0.1, Alpha = 100 },
			{ T = 0.2, Alpha = 75 },
			{ T = 1, Alpha = 50 }
		},
	},
	SizeOverLifetime = {
			{ T = 0, Value = 0.1 },
			{ T = 0.5, Value = 0.2 },
			{ T = 0.8, Value = 0.2 }
	},
	RotationOverLifetime = { 0, 0 }
})

FantasyDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "SPARK_PARTICLE_SYSTEM",
	Material = "SPARK_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 2,
	Looping = true,
	Delay = { 0, 1 },
	LifeTime = 1.7,
	StartSpeed = { 0.005, 0.005 },
	StartSize = { 0.8, 0.8 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = -0.2,
	RateOverTime = 4,
	RateOverTimeRandom = 6,
	AlignWithVelocity = true,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 2,
		Radius = 0.1
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.5, -0.1, 0.5 },
		ValueB = { -0.5, -0.1, -0.5 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.6, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.6, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 1 } }
		},		
		AlphaList = {
			{ T = 0.1, Alpha = 100 },
			{ T = 0.3, Alpha = 100 },
			{ T = 0.5, Alpha = 50 },
			{ T = 0.7, Alpha = 25 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0, Value = 0.075 },
			{ T = 0.5, Value = 0.050 },
			{ T = 1, Value = 0.025 }
	},
	RotationOverLifetime = { -50, 50 }
})

------------------------------------
--| Register Particle Components |--
------------------------------------
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier1_Part/FireEmitter1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier2_Part/FireEmitter2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier3_Part/FireEmitter3", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier4_Part/FireEmitter4", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE2_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier5_Part/FireEmitter5", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier6_Part/FireEmitter6", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier1_Part/SmokeEmitter1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier2_Part/SmokeEmitter2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier3_Part/SmokeEmitter3", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier4_Part/SmokeEmitter4", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier5_Part/SmokeEmitter5", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier6_Part/SmokeEmitter6", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier1_Part/SparkEmitter1-1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier1_Part/SparkEmitter1-2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier2_Part/SparkEmitter2-1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier2_Part/SparkEmitter2-2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier3_Part/SparkEmitter3-1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier3_Part/SparkEmitter3-2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier4_Part/SparkEmitter4-1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier4_Part/SparkEmitter4-2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier5_Part/SparkEmitter5-1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier5_Part/SparkEmitter5-2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier6_Part/SparkEmitter6-1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier6_Part/SparkEmitter6-2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Torch_Part/FireEmitter7", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE3_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Torch_Part/SmokeEmitter7", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE2_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/cauldron.fbx/Prefab/Cauldron_Part/CauldronEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_GREEN_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire_On_Fire_Part/FireEmitter1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire_On_Fire_Part/FireEmitter2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire_On_Fire_Part/SmokeEmitter1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire_On_Fire_Part/SparkEmitter1-1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire_On_Fire_Part/SparkEmitter1-2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "SPARK_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Lantern5_Part/BrazierEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "BRAZIER_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Candelabra_Part/CandleEmitter1", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CANDLE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Candelabra_Part/CandleEmitter2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CANDLE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Candelabra_Part/CandleEmitter3", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CANDLE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Candelabra_Part/CandleEmitter4", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CANDLE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Candelabra_Part/CandleEmitter5", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CANDLE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Lantern2_Part/CandleEmitter6", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CANDLE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
FantasyDeco:registerPrefabComponent("models/lantern.fbx/Prefab/Lantern7_Part/CandleEmitter7", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CANDLE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})